=== debian/control ===
--- 
+++ 
@@ -3,20 +3,18 @@
 Priority: optional
 Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders:
- Guido Günther <agx@sigxcpu.org>,
  Christoph Goehre <chris@sigxcpu.org>,
 Build-Depends:
  autoconf2.13,
- autotools-dev,
  bash-completion,
  bzip2,
- debhelper (>= 9.20160814~),
+ debhelper (>= 9.20120909~),
+ libasound2-dev [linux-any],
  dh-apparmor,
  dh-exec,
  dpkg (>= 1.16.18~),
  dpkg-dev (>= 1.16.18~),
- gcc-6,
- g++-6,
+ gcc-mozilla,
  libasound2-dev [linux-any],
  libatk-adaptor,
  libbz2-dev,
@@ -27,8 +25,9 @@
  libfontconfig1-dev,
  libglib2.0-dev (>= 2.22.0),
  libgnomeui-dev (>= 2.22),
+ libgstreamer-plugins-base0.10-dev,
+ libgstreamer0.10-dev,
  libglib2.0-dev,
- libgtk2.0-dev,
  libgtk-3-dev (>= 3.4),
  libhunspell-dev (>= 1.2),
  libjsoncpp-dev,
@@ -39,7 +38,6 @@
  libpulse-dev,
  libreadline-dev,
  libstartup-notification0-dev,
- libvpx-dev (>= 1.5.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,
@@ -162,24 +160,6 @@
  The goal of Thunderbird is to produce a cross platform standalone mail
  application using the XUL user interface language.
 
-Package: icedove
-Architecture: all
-Section: oldlibs
-Depends:
- thunderbird (>= ${binary:Version}),
- ${misc:Depends},
-Description: mail/news client with RSS and integrated spam filter support
- Icedove is an unbranded Thunderbird mail client suitable for free
- distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
- integrated learning Spam filter, and offers easy organization of mails with
- tagging and virtual folders. Also, more features can be added by installing
- extensions.
- .
- The goal of Icedove is to produce a cross platform standalone mail application
- using the XUL user interface language.
- .
- This is a transitional package. It can be safely removed.
-
 Package: thunderbird-dev
 Architecture: any
 Depends:
@@ -206,24 +186,6 @@
  .
  This package contains the development headers, idl files and static libraries
  needed to develop applications using Thunderbird.
-
-Package: icedove-dev
-Architecture: all
-Section: oldlibs
-Depends:
- thunderbird-dev (>= ${binary:Version}),
- ${misc:Depends},
-Description: Development files for Icedove
- Icedove is an unbranded Thunderbird mail client suitable for free
- distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
- integrated learning Spam filter, and offers easy organization of mails with
- tagging and virtual folders. Also, more features can be added by installing
- extensions.
- .
- This package contains the development headers, idl files and static libraries
- needed to develop applications using Icedove.
- .
- This is a transitional package. It can be safely removed.
 
 Package: thunderbird-dbg
 Architecture: any
@@ -252,25 +214,6 @@
  if you need to debug such a program or if you need a useful backtrace of a
  crash.
 
-Package: icedove-dbg
-Architecture: all
-Section: oldlibs
-Depends:
- thunderbird-dbg,
- ${misc:Depends},
-Description: Debug Symbols for Icedove
- Icedove is an unbranded Thunderbird mail client suitable for free
- distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
- integrated learning Spam filter, and offers easy organization of mails with
- tagging and virtual folders. Also, more features can be added by installing
- extensions.
- .
- This package contains the debug symbols for Icedove. Install this package if
- you need to debug such a program or if you need a useful backtrace of a
- crash.
- .
- This is a transitional package. It can be safely removed.
-
 Package: lightning
 Architecture: any
 Depends:
@@ -294,21 +237,6 @@
  event invitations and tasks in multiple calendars.
  .
  It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.
-
-Package: iceowl-extension
-Architecture: all
-Section: oldlibs
-Depends:
- lightning (>= ${binary:Version}),
- ${misc:Depends},
-Description: Calendar Extension for Thunderbird/Icedove
- Iceowl Extension is an unbranded Lightning Calendar extension for
- Thunderbird/Icedove. It can handle events, event invitations and
- tasks in multiple calendars.
- .
- It supports local calendars, CalDAV and plain ics files on WebDAV.
- .
- This is a transitional package. It can be safely removed.
 
 Package: calendar-google-provider
 Architecture: all
@@ -374,3 +302,80 @@
  thunderbird-l10n-rm (>= ${binary:Version}),
  thunderbird-l10n-ro (>= ${binary:Version}),
  thunderbird-l10n-ru (>= ${binary:Version}),
+ thunderbird-l10n-si (>= ${binary:Version}),
+ thunderbird-l10n-sk (>= ${binary:Version}),
+ thunderbird-l10n-sl (>= ${binary:Version}),
+ thunderbird-l10n-sq (>= ${binary:Version}),
+ thunderbird-l10n-sr (>= ${binary:Version}),
+ thunderbird-l10n-sv-se (>= ${binary:Version}),
+ thunderbird-l10n-ta-lk (>= ${binary:Version}),
+ thunderbird-l10n-tr (>= ${binary:Version}),
+ thunderbird-l10n-uk (>= ${binary:Version}),
+ thunderbird-l10n-vi (>= ${binary:Version}),
+ thunderbird-l10n-zh-cn (>= ${binary:Version}),
+ thunderbird-l10n-zh-tw (>= ${binary:Version}),
+ ${misc:Depends},
+Replaces:
+ icedove-l10n-all (<< 1:45.6.0-2.1~),
+Breaks:
+ icedove-l10n-all (<< 1:45.6.0-2.1~),
+Provides:
+ icedove-l10n-all,
+Description: All language packages for Thunderbird (meta)
+ Thunderbird is an mail client suitable for free distribution. The goal of
+ Thunderbird is to produce a cross platform stand-alone mail application using
+ the XUL user interface language.
+ .
+ This package is a metapackage depending on all available localization of
+ Thunderbird.
+
+Package: thunderbird-l10n-ar
+Architecture: all
+Section: localization
+Depends:
+ thunderbird (<< ${source:Version}.1~),
+ thunderbird (>= ${source:Version}),
+ ${misc:Depends},
+Homepage: https://wiki.mozilla.org/L10n:Teams:ar
+Recommends:
+ hunspell-ar,
+Replaces:
+ icedove-l10n-ar (<< 1:45.6.0-2.1~),
+Breaks:
+ icedove-l10n-ar (<< 1:45.6.0-2.1~),
+Provides:
+ icedove-l10n-ar,
+Description: Arabic language package for Thunderbird
+ Thunderbird is an mail client suitable for free distribution. The goal of
+ Thunderbird is to produce a cross platform stand-alone mail application using
+ the XUL user interface language.
+ .
+ This package contains the localization of Thunderbird in Arabic.
+
+Package: thunderbird-l10n-ast
+Architecture: all
+Section: localization
+Depends:
+ thunderbird (<< ${source:Version}.1~),
+ thunderbird (>= ${source:Version}),
+ ${misc:Depends},
+Homepage: https://wiki.mozilla.org/L10n:Teams:ast
+Replaces:
+ icedove-l10n-ast (<< 1:45.6.0-2.1~),
+Breaks:
+ icedove-l10n-ast (<< 1:45.6.0-2.1~),
+Provides:
+ icedove-l10n-ast,
+Description: Asturian language package for Thunderbird
+ Thunderbird is an mail client suitable for free distribution. The goal of
+ Thunderbird is to produce a cross platform stand-alone mail application using
+ the XUL user interface language.
+ .
+ This package contains the localization of Thunderbird in Asturian.
+
+Package: thunderbird-l10n-be
+Architecture: all
+Section: localization
+Depends:
+ thunderbird (<< ${source:Version}.1~),
+ thunderbird (>= ${source:Version}),
