=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,8 @@
 # currently needed as workaround for GCC-6 built
 # see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
 # and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
-CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
-CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
+CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2
+CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2
 
 export CC=gcc-6
 export CXX=g++-6
@@ -56,9 +56,12 @@
 # Add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
 
-export MOZ_BUILD_DATE := $(SOURCE_DATE_EPOCH)
+export BUILD_DATE := $(shell dpkg-parsechangelog --format rfc822 | sed -ne 's/^Date:\s\+//p')
+export MOZ_BUILD_DATE := $(shell TZ=UTC date -d "$(BUILD_DATE)" +%Y%m%d%H%M%S)
 export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
 export MOZILLA_OFFICIAL=1
+export CC := /usr/lib/gcc-mozilla/bin/gcc
+export CXX := /usr/lib/gcc-mozilla/bin/g++
 export DEB_BUILD_GNU_TYPE
 export DEB_HOST_GNU_TYPE
 export DEB_BUILD_OPTIONS
@@ -79,15 +82,13 @@
 	rm -rf $(LIGHTNING_L10N_BUILDDIR)
 
 override_dh_auto_configure:
-	# update config.sub and config.guess
-	dh_autotools-dev_updateconfig
 	# run autoconf for all configure files
-	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; \
-	then cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
-	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/configure ]; \
-	then cd $(CURDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
-	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/js/src/configure ]; \
-	then cd $(CURDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
+	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
+		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
+	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/configure ]; then \
+		cd $(CURDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
+	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/js/src/configure ]; then \
+		cd $(CURDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
 	# copy the mozconfig files
 	cp debian/mozconfig.* .
 	cp debian/mozconfig.default mozilla/
@@ -167,6 +168,3 @@
 			> $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/install.rdf; \
 	done
 	# install lightning-l10n; chrome.manifest
-	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
-		lang=`basename $${jar} .jar`; \
-		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
