## thunderbird 52.5.0+build1

=== debian/changelog ===
thunderbird (1:52.5.0+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_5_0_BUILD1)
    - see USN-3490-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 22 Nov 2017 14:22:37 +0000

thunderbird (1:52.4.0+build1-0ubuntu0.17.04.2) zesty-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_4_0_BUILD1)
    - see USN-3436-1

  * Hopefully fix LP: #1711337 by building the armhf build with
    -fno-schedule-insns to work around a compiler bug

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Oct 2017 11:18:32 +0100

thunderbird (1:52.3.0+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_3_0_BUILD1)
    - see USN-3416-1

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 14 Sep 2017 00:28:18 +0100

thunderbird (1:52.2.1+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_2_1_BUILD1)
    - see USN-3321-1

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Jun 2017 16:19:46 +0100

thunderbird (1:52.1.1+build1-0ubuntu0.17.04.1) zesty-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_1_1_BUILD1)
    - see USN-3278-1

  [ Chris Coulson ]
  * Update and reenable unity-menubar.patch
  * Refresh patches:
    - update debian/patches/support-coinstallable-trunk-build.patch
  * Ensure we generate all of the required checksum files for FIPS mode
    to work correctly
    - update debian/build/rukes.mk

  [ Rico Tzschichholz ]
  * Unconditionally build-dep on libffi-dev
  * Refresh patches
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Pass "-Wnull-dereference -fno-delete-null-pointer-checks" as workaround
    for compilation with GCC6
    See https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
  * Add build-dep on libx11-xcb-dev
  * Install the gtk2 directory and ICU data file
    - update debian/thunderbird.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 May 2017 20:48:58 +0100
